Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/pages/query.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/pages/query.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/pages/query.xsl	(revision 24007)
@@ -36,7 +36,10 @@
 							<xsl:for-each select="paramList/param">
 								<xsl:choose>
+									<xsl:when test="@name='case' or @name='stem' or @name='accent'">
+									</xsl:when>
 									<xsl:when test="@type='multi'">
 										<xsl:apply-templates select="."><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates>
 									</xsl:when>
+									<xsl:when test="@name = 'sortBy' or @name = 'maxDocs'"></xsl:when>
 									<xsl:otherwise>
 										<xsl:variable name="pvalue"><xsl:apply-templates select="." mode="calculate-default"><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></xsl:variable>
@@ -64,4 +67,18 @@
 
 			<xsl:otherwise>
+				<p class="termList">
+					<xsl:choose>
+						<xsl:when test="count(/page/pageResponse/termList/term) &lt; 3">
+							<xsl:for-each select="/page/pageResponse/termList/term">
+								<span style="font-style:italic;"><xsl:value-of select="@name"/></span> occurs <xsl:value-of select="@freq"/> times in <xsl:value-of select="@numDocsMatch"/> document(s) <br />
+							</xsl:for-each>
+						</xsl:when>
+						<xsl:otherwise>
+							<xsl:for-each select="/page/pageResponse/termList/term">
+								<span style="font-style:italic;"><xsl:value-of select="@name"/></span> (<xsl:value-of select="@freq"/>);
+							</xsl:for-each>
+						</xsl:otherwise>
+					</xsl:choose>
+				</p>
 				
 				<ul id="results">
@@ -69,7 +86,25 @@
 						<li class="document">
 							<a>
-								<xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;c=<xsl:value-of select="/page/pageResponse/collection/@name"/>&amp;d=<xsl:value-of select="@nodeID"/>&amp;dt=<xsl:value-of select="@docType"/>&amp;p.a=b&amp;p.s=<xsl:value-of select="/page/pageResponse/service/@name"/></xsl:attribute>
-								<xsl:value-of disable-output-escaping="yes"  select="metadataList/metadata[@name='Title']"/>
+								<xsl:choose>
+									<xsl:when test="/page/pageResponse/collection/@name">
+										<xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;c=<xsl:value-of select="/page/pageResponse/collection/@name"/>&amp;d=<xsl:value-of select="@nodeID"/>&amp;dt=<xsl:value-of select="@docType"/>&amp;p.a=q&amp;p.s=<xsl:value-of select="/page/pageResponse/service/@name"/>&amp;hl=on&amp;ed=1#<xsl:value-of select="@nodeID"/></xsl:attribute>
+									</xsl:when>
+									<xsl:when test="@collection">
+										<xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;c=<xsl:value-of select="@collection"/>&amp;d=<xsl:value-of select="@nodeID"/>&amp;dt=<xsl:value-of select="@docType"/>&amp;p.a=q&amp;p.s=<xsl:value-of select="/page/pageResponse/service/@name"/>&amp;hl=on&amp;ed=1#<xsl:value-of select="@nodeID"/></xsl:attribute>
+									</xsl:when>
+								</xsl:choose>
+								
+								<xsl:value-of disable-output-escaping="yes"  select="metadataList/metadata[@name='Title']"/> 
 							</a>
+							
+							<!-- If this is results from a cross collection search then add a link to the collection that it is from -->
+							<xsl:if test="@collection">
+								(<a style="background-image:none; padding:3px;">
+									<xsl:attribute name="href">
+										<xsl:value-of select="$library_name"/>?a=p&amp;sa=about&amp;c=<xsl:value-of select="@collection"/>
+									</xsl:attribute>
+									<xsl:value-of select="@collection"/>
+								</a>)
+							</xsl:if>
 							<xsl:call-template name="documentBerryForClassifierOrSearchPage"/>
 						</li>
@@ -115,5 +150,5 @@
 	</xsl:template>
 
-	<!-- invisible params - used by other stuff. in the query form, we set to teh default -->
+	<!-- invisible params - used by other stuff. in the query form, we set to the default -->
 	<xsl:template match="param[@type='invisible']">
 		<xsl:param name="ns">s1.</xsl:param>
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/query-common.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/query-common.xsl	(revision 24007)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/query-common.xsl	(revision 24007)
@@ -0,0 +1,55 @@
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+	
+	<xsl:template match="param" mode="calculate-default">
+		<xsl:param name="ns">s1.</xsl:param>
+		<xsl:variable name="pname"><xsl:value-of select="$ns"/><xsl:value-of select="@name"/></xsl:variable>
+		<xsl:choose>
+			<xsl:when test="/page/pageRequest/paramList/param[@name=$pname]">
+				<xsl:choose>
+					<xsl:when test="@type='enum_multi'"><xsl:text>,</xsl:text>
+						<xsl:for-each select="/page/pageRequest/paramList/param[@name=$pname]">
+							<xsl:value-of select="@value"/>,
+						</xsl:for-each>
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:value-of select="/page/pageRequest/paramList/param[@name=$pname]/@value"/>
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:value-of select="@default"/>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	
+	<!-- single selection enum params -->
+	<xsl:template match="param[@type='enum_single']">
+		<xsl:param name="ns">s1.</xsl:param>
+		<xsl:param name="default"/>
+		<xsl:choose>
+			<xsl:when test="count(option) = 1">
+				<xsl:value-of select="option/displayItem[@name='name']"/>
+				<input type='hidden' name='{$ns}{@name}'><xsl:attribute name='value'><xsl:value-of  select='option/@name'/></xsl:attribute></input>
+			</xsl:when>
+			<xsl:otherwise>
+				<select name="{$ns}{@name}">
+					<xsl:for-each select="option">
+						<option value="{@name}"><xsl:if test="@name=$default"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="displayItem[@name='name']"/></option>
+					</xsl:for-each>
+				</select>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	
+	<xsl:template match="param[@type='string']">
+		<xsl:param name="ns">s1.</xsl:param>
+		<xsl:param name="default"/>
+		<input type="text" name="{$ns}{@name}" size="30" value="{$default}"/>
+	</xsl:template>
+</xsl:stylesheet>
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/util.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/util.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/util.xsl	(revision 24007)
@@ -1,68 +1,63 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsl:stylesheet version="1.0"
-	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-	xmlns:xslt="http://www.w3.org/1999/XSL/Transform"
-	xmlns:gslib="http://www.greenstone.org/XSL/Library"
-	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
-	xmlns:util="http://org.greenstone.gsdl3.util.XSLTUtil"
-	exclude-result-prefixes="util gslib gsf xslt">
-
-	<!-- some global parameters - these are set by whoever is invoking the transformation -->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xslt="http://www.w3.org/1999/XSL/Transform" xmlns:gslib="http://www.greenstone.org/XSL/Library" xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:util="http://org.greenstone.gsdl3.util.XSLTUtil" version="1.0" exclude-result-prefixes="util gslib gsf xslt">
+  <!-- some global parameters - these are set by whoever is invoking the transformation -->
   <xsl:param name="interface_name"/>
   <xsl:param name="library_name"/>
-
   <xsl:include href="xml-to-string.xsl"/>
-
   <!-- every pages ....................................................................... -->
-	<xsl:template name="siteName"><xsl:value-of select="/page/pageResponse/metadataList/metadata[@name='siteName']"/></xsl:template>
-	<xsl:template name="siteLink"><a href="./{$library_name}"><xsl:call-template name="siteName"/><xsl:text> </xsl:text></a></xsl:template>
-
-  	<xsl:variable name="a"><xsl:value-of select="/page/pageRequest/paramList/param[@name='a']/@value"/>		</xsl:variable>
-	<xsl:variable name="collections" select="/page/pageResponse/collectionList/collection"/>
-
-	<xsl:variable name="berrybasketswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:variable>
-	<xsl:variable name="berryBasketOn" select="/page/pageRequest/paramList/param[@name='berrybasket' and @value='on']"/>
-
-	<!-- template to get the name of the current collection -->
-	<xsl:template name="collectionName">
-		<xsl:choose>
-			<xsl:when test="/page/pageResponse/collection"><xsl:value-of select="/page/pageResponse/collection/displayItem[@name='name']"/></xsl:when>
-			<xsl:otherwise>All Collections</xsl:otherwise>
-		</xsl:choose>
-	</xsl:template>
-
-	<xsl:template name="collectionNameShort">
-		<xsl:value-of select="/page/pageResponse/collection/@name"/>
-	</xsl:template>
-
-	<xsl:template name="collectionNameLinked">
-		<xsl:if test="/page/pageResponse/collection">
-			<a>
-				<xsl:attribute name="href">./<xsl:value-of select="$library_name"/>?a=p&amp;sa=about&amp;c=<xsl:call-template name="collectionNameShort"/></xsl:attribute>
-				<xsl:call-template name="collectionName"/>
-			</a>
-		</xsl:if>
-	</xsl:template>
-
-	<!-- text to get the name of the current service ("Browse","Search" etc) -->
-	<xsl:template name="serviceName">
-		<xsl:value-of select="/page/pageResponse/service/displayItem[@name='name']"/>
-	</xsl:template>
-
-	<xsl:template name="textDirectionAttribute">
-		<xsl:attribute name="dir">
-			<xsl:choose>
-				<xsl:when test="/page/@lang='ar' or /page/@lang='fa' or /page/@lang='he' or /page/@lang='ur' or /page/@lang='ps' or /page/@lang='prs'">rtl</xsl:when>
-				<xsl:otherwise>ltr</xsl:otherwise>
-			</xsl:choose>
-		</xsl:attribute>
-	</xsl:template>
-
-	<xsl:template name="actionClass">
-		<xsl:attribute name="class"><xsl:value-of select="/page/pageRequest/@action"/>Action <xsl:if test="/page/pageRequest/@subaction"><xsl:value-of select="/page/pageRequest/@subaction"/>Subaction</xsl:if></xsl:attribute>
-	</xsl:template>
-
-	<!-- username, if logged in -->
-	<!--
+  <xsl:template name="siteName">
+    <xsl:value-of select="/page/pageResponse/metadataList/metadata[@name='siteName']"/>
+  </xsl:template>
+  <xsl:template name="siteLink">
+    <a href="./{$library_name}">
+      <xsl:call-template name="siteName"/>
+      <xsl:text> </xsl:text>
+    </a>
+  </xsl:template>
+  <xsl:variable name="a">
+    <xsl:value-of select="/page/pageRequest/paramList/param[@name='a']/@value"/>
+  </xsl:variable>
+  <xsl:variable name="collections" select="/page/pageResponse/collectionList/collection"/>
+  <xsl:variable name="berrybasketswitch">
+    <xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/>
+  </xsl:variable>
+  <xsl:variable name="berryBasketOn" select="/page/pageRequest/paramList/param[@name='berrybasket' and @value='on']"/>
+  <!-- template to get the name of the current collection -->
+  <xsl:template name="collectionName">
+    <xsl:choose>
+      <xsl:when test="/page/pageResponse/collection">
+        <xsl:value-of select="/page/pageResponse/collection/displayItem[@name='name']"/>
+      </xsl:when>
+      <xsl:otherwise>All Collections</xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+  <xsl:template name="collectionNameShort">
+    <xsl:value-of select="/page/pageResponse/collection/@name"/>
+  </xsl:template>
+  <xsl:template name="collectionNameLinked">
+    <xsl:if test="/page/pageResponse/collection">
+      <a>
+        <xsl:attribute name="href">./<xsl:value-of select="$library_name"/>?a=p&amp;sa=about&amp;c=<xsl:call-template name="collectionNameShort"/></xsl:attribute>
+        <xsl:call-template name="collectionName"/>
+      </a>
+    </xsl:if>
+  </xsl:template>
+  <!-- text to get the name of the current service ("Browse","Search" etc) -->
+  <xsl:template name="serviceName">
+    <xsl:value-of select="/page/pageResponse/service/displayItem[@name='name']"/>
+  </xsl:template>
+  <xsl:template name="textDirectionAttribute">
+    <xsl:attribute name="dir">
+      <xsl:choose>
+        <xsl:when test="/page/@lang='ar' or /page/@lang='fa' or /page/@lang='he' or /page/@lang='ur' or /page/@lang='ps' or /page/@lang='prs'">rtl</xsl:when>
+        <xsl:otherwise>ltr</xsl:otherwise>
+      </xsl:choose>
+    </xsl:attribute>
+  </xsl:template>
+  <xsl:template name="actionClass">
+    <xsl:attribute name="class"><xsl:value-of select="/page/pageRequest/@action"/>Action <xsl:if test="/page/pageRequest/@subaction"><xsl:value-of select="/page/pageRequest/@subaction"/>Subaction</xsl:if></xsl:attribute>
+  </xsl:template>
+  <!-- username, if logged in -->
+  <!--
 	<xsl:template name="username">
 		<xsl:if test="$un_s!=''">
@@ -73,27 +68,26 @@
 	</xsl:template>
 	-->
-
-    <xsl:template name="defaultDividerBar">
-   <xsl:param name='text'/>
-      <xsl:choose>
+  <xsl:template name="defaultDividerBar">
+    <xsl:param name="text"/>
+    <xsl:choose>
       <xsl:when test="$text">
-	 <div class="divbar"><xsl:value-of select="$text"/></div>
+        <div class="divbar">
+          <xsl:value-of select="$text"/>
+        </div>
       </xsl:when>
       <xsl:otherwise>
-	 <div class="divbar"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></div>
+        <div class="divbar">
+          <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
+        </div>
       </xsl:otherwise>
     </xsl:choose>
   </xsl:template>
-
-
-    <xsl:template match="error">
+  <xsl:template match="error">
     Error: <xsl:value-of select="."/>
   </xsl:template>
-
-
-<xsl:template name="displayErrorsIfAny">
-      <xsl:if test="descendant::error">
+  <xsl:template name="displayErrorsIfAny">
+    <xsl:if test="descendant::error">
       <script language="Javascript">
-	<xsl:text disable-output-escaping="yes">
+        <xsl:text disable-output-escaping="yes">
 	  function removeAllChildren(node) {
 	    while (node.hasChildNodes()) {
@@ -107,70 +101,72 @@
 	      hide_link = document.getElementById("hide");
 	      removeAllChildren(hide_link);
-	      hide_link.appendChild(document.createTextNode("</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'hide_error')"/><xsl:text disable-output-escaping="yes">"));
+	      hide_link.appendChild(document.createTextNode("</xsl:text>
+        <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'hide_error')"/>
+        <xsl:text disable-output-escaping="yes">"));
 	    } else {
 	      obj.style.display = "none";
 	      hide_link = document.getElementById("hide");
 	      removeAllChildren(hide_link);
-	      hide_link.appendChild(document.createTextNode("</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'show_error')"/><xsl:text disable-output-escaping="yes">"));
+	      hide_link.appendChild(document.createTextNode("</xsl:text>
+        <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'show_error')"/>
+        <xsl:text disable-output-escaping="yes">"));
 	    }
 	  }
 	</xsl:text>
       </script>
-      <p align='right'><a id="hide" href="javascript:toggleHideError(error);"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'show_error')"/></a></p>
+      <p align="right">
+        <a id="hide" href="javascript:toggleHideError(error);">
+          <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'show_error')"/>
+        </a>
+      </p>
       <div id="error" style="display: none;">
-	<xsl:apply-templates select="descendant::error"/>
+        <xsl:apply-templates select="descendant::error"/>
       </div>
     </xsl:if>
-</xsl:template>
-
-
-	<xsl:template name="noTextBar">
-		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
-	</xsl:template>
-	
-	
-	<xsl:template name="poweredByGS3TextBar">
-		<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gs3power')"/>
-	</xsl:template>
-
-	<xsl:template name="rightArrow"><xsl:text disable-output-escaping="yes"> &amp;raquo; </xsl:text></xsl:template>
-
-
-
-	<!-- site home ....................................................................... -->
-
-<xsl:template name="siteHomePageTitle">
- <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
-<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/><xsl:text> </xsl:text>
-</xsl:template>
-
-
-    <xsl:template name="selectACollectionTextBar">
-  	 <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.select_a_collection')"/>
-  </xsl:template>
-	<xsl:template name="crossCollectionQuickSearchForm">
-		<xsl:apply-templates select="serviceList/service[@name='TextQuery']"/>
-	</xsl:template>
-	
-	<xsl:template match="service[@name='TextQuery']">
-		<form name="QuickSearch" method="get" action="{$library_name}">
-			<input type="hidden" name="a" value="q"/>
-			<input type="hidden" name="rt" value="rd"/>
-			<input type="hidden" name="s" value="{@name}"/>
-			<input type="hidden" name="s1.collection" value="all"/>
-			<input type="text" name="s1.query" size="20"/>
-			<input type="submit"><xsl:attribute name="value"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.quick_search')"/></xsl:attribute></input>
-		</form>
-	</xsl:template>
-
-	<xsl:template name="collectionLinkWithImage">
-		<xsl:choose>
-			<xsl:when test="displayItem[@name='icon']">
-				<a href="{$library_name}?a=p&amp;sa=about&amp;c={@name}">
-					<img class="collectionLinkImage">
-						<xsl:attribute name="alt"></xsl:attribute>
-						<xsl:attribute name="src">sites/localsite/collect/<xsl:value-of select="@name"/>/images/<xsl:value-of select="displayItem[@name='icon']"/></xsl:attribute>
-					</img>
-<!--
+  </xsl:template>
+  <xsl:template name="noTextBar">
+    <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
+  </xsl:template>
+  <xsl:template name="poweredByGS3TextBar">
+    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gs3power')"/>
+  </xsl:template>
+  <xsl:template name="rightArrow">
+    <xsl:text disable-output-escaping="yes"> &amp;raquo; </xsl:text>
+  </xsl:template>
+  <!-- site home ....................................................................... -->
+  <xsl:template name="siteHomePageTitle">
+    <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
+    <xsl:text> </xsl:text>
+  </xsl:template>
+  <xsl:template name="selectACollectionTextBar">
+    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.select_a_collection')"/>
+  </xsl:template>
+  <xsl:template name="crossCollectionQuickSearchForm">
+    <xsl:apply-templates select="serviceList/service[@name='TextQuery']"/>
+  </xsl:template>
+  <xsl:template match="service[@name='TextQuery']">
+    <form name="QuickSearch" method="get" action="{$library_name}">
+      <input type="hidden" name="a" value="q"/>
+      <input type="hidden" name="rt" value="rd"/>
+      <input type="hidden" name="s" value="{@name}"/>
+      <input type="hidden" name="s1.collection" value="all"/>
+      <input type="text" name="s1.query" size="20"/>
+      <input type="submit">
+        <xsl:attribute name="value">
+          <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.quick_search')"/>
+        </xsl:attribute>
+      </input>
+    </form>
+  </xsl:template>
+  <xsl:template name="collectionLinkWithImage">
+    <xsl:choose>
+      <xsl:when test="displayItem[@name='icon']">
+        <a href="{$library_name}?a=p&amp;sa=about&amp;c={@name}">
+          <img class="collectionLinkImage">
+            <xsl:attribute name="alt"/>
+            <xsl:attribute name="src">sites/localsite/collect/<xsl:value-of select="@name"/>/images/<xsl:value-of select="displayItem[@name='icon']"/></xsl:attribute>
+          </img>
+          <!--
 					<div class="collectionLink">
 						<xsl:attribute name="style">background-image: url(/sites/localsite/collect/<xsl:value-of select="@name"/>/images/<xsl:value-of select="displayItem[@name='icon']"/>);</xsl:attribute>
